# Quintolin

Yet another remake of the classic persistent browser-based multiplayer game.

This variant is written in PHP and based on Symfony framework.

## License

    Quintolin - persistent browser-based multiplayer game
    Copyright (C) 2023 Krzysztof Sikorski
    Copyright (C) 2009-2010 Isaac Lewis for original implementations
    Copyright (C) 2013 Troy Goode for NodeJS re-implementation

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.

Full text of the license is included in [LICENSE.txt](LICENSE.txt) file.

You can also read it in HTML format at
<https://www.gnu.org/licenses/agpl-3.0.html>

## Source code

This project is published to multiple core-sharing portals:

- [Codeberg](https://codeberg.org/krzysztof-sikorski/quintolin)
- [Disroot](https://git.disroot.org/krzysztof-sikorski/quintolin)
- [GitLab](https://gitlab.com/krzysztof-sikorski/quintolin)
- [GitHub](https://github.com/krzysztof-sikorski/quintolin)
- [Bitbucket](https://bitbucket.org/zerozero-pl/quintolin)

## Directory structure

- [doc](doc/README.md): developer documentation
- [legacy](legacy/README.md): History and source code of previous versions of
  the game
- [modules/core](modules/core/README.md): core engine of the game
- [modules/storage](modules/storage/README.md): storage module for the game
- `tools`: developer tools
- [website](website/README.md): website and UI
